------------------------------------------------------------------------------------
--Name:  	baiqing3
--Creator:	由剧情表现脚本编辑器生成
--Created:	2025-01-23
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(64, 72)
local monster_0 = CppScriptMgr:AddPlayer(262, 64, 72, "", 0, 0)
monster_0:SetZoomPercent(10)
monster_0:SetHide(1)
monster_0:SetDir(7)
local effect_3 = CppScriptMgr:AddEffect("ty_ymz", 64, 72, 33, 1, 1, 1)
effect_3:Scale(2, 2, 2)
CppScriptMgr:WaitMilSec(500)
monster_0:SetHide(0)
local effect_0 = CppScriptMgr:AddEffect("nag_bom_ass", 64, 72, 33, 1, 1, 1)
local effect_4 = CppScriptMgr:AddEffect("Attack35r", 64, 72, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(300)
local effect_1 = CppScriptMgr:AddEffect("taoist-huohuan", 64, 72, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(200)
ChangeNpcZoom(monster_0, 10, 200, 3, 10)
local effect_2 = CppScriptMgr:AddEffect("taoist-huohuan", 64, 72, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(500)
monster_0:SetAction(401)
monster_0:Say("Despicable humans, be my obedient slave!", 1500)
CppScriptMgr:WaitMilSec(2500)